# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data
Class ExtensionProfile.ExtensionPointHandler

    java.lang.Object
      com.google.gdata.util.XmlParser.ElementHandler
          com.google.gdata.data.ExtensionProfile.ExtensionPointHandler

Enclosing class:
  ExtensionProfile

    public class ExtensionProfile.ExtensionPointHandler

extends XmlParser.ElementHandler

Reads the ExtensionPoint XML format

Field Summary

Fields inherited from class com.google.gdata.util.XmlParser.ElementHandler
`qName, value, xmlBase, xmlLang`

Constructor Summary
`ExtensionProfile.ExtensionPointHandler(ExtensionProfile configProfile, java.lang.ClassLoader configLoader, java.util.List<com.google.gdata.util.common.xml.XmlNamespace> namespaces, org.xml.sax.Attributes attrs)`

Method Summary
`XmlParser.ElementHandler` `getChildHandler(java.lang.String namespace, java.lang.String localName, org.xml.sax.Attributes attrs)` Determines a handler for a child element.
`void` `processEndElement()` Called to process this element when the closing tag is encountered.

Methods inherited from class com.google.gdata.util.XmlParser.ElementHandler
`getAbsoluteUri, getBooleanAttribute, getChildHandler, initializeXmlBlob, parseBooleanValue, processAttribute, processAttribute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtensionProfile.ExtensionPointHandler

    public ExtensionProfile.ExtensionPointHandler(ExtensionProfile configProfile,
                                                  java.lang.ClassLoader configLoader,
                                                  java.util.List<com.google.gdata.util.common.xml.XmlNamespace> namespaces,
                                                  org.xml.sax.Attributes attrs)
                                           throws ParseException

Throws:
  `ParseException`

Method Detail

### processEndElement

    public void processEndElement()

  Description copied from class: `XmlParser.ElementHandler`
  Called to process this element when the closing tag is encountered. The default implementation refuses to accept text() content, unless the handler is configured to accept unrecognized XML with mixed content.

  Overrides:
    `processEndElement` in class `XmlParser.ElementHandler`

### getChildHandler

    public XmlParser.ElementHandler getChildHandler(java.lang.String namespace,
                                                    java.lang.String localName,
                                                    org.xml.sax.Attributes attrs)
                                             throws ParseException,
                                                    java.io.IOException

  Description copied from class: `XmlParser.ElementHandler`
  Determines a handler for a child element.

  The default implementation doesn't recognize anything. The result is a schema error unless the parent handler accepts unrecognized XML. `XmlParser`. localname/namespace.

  Overrides:
    `getChildHandler` in class `XmlParser.ElementHandler`
  Parameters:
    `namespace` - Child element namespace URI.
    `localName` - Child element name.
    `attrs` - Child element attributes. These attributes will be communicated to the child element handler through its `XmlParser.ElementHandler.processAttribute(java.lang.String, java.lang.String, java.lang.String, java.lang.String)` method. They are passed here because sometimes the value of some attribute determines the element's content type, so different element handlers may be needed.
  Returns:
    Child element handler, or `null` if the child is unrecognized.
  Throws:
    `ParseException` - Invalid child element.
    `java.io.IOException` - Internal I/O exception (e.g., thrown by XML blob writer).